<?php
header("Content-type: text/javascript");
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

if (session_status() == PHP_SESSION_NONE) {
    require_once(__DIR__ . "/../../classes/Sistema.php");
	set_sistema(Sistema::INDICACOES);
	$sistema = new Sistema();
}
?>

var maskBehavior = function (val) {
  return val.replace(/\D/g, '').length === 11 ? '(00) 00000-0000' : '(00) 0000-00009';
},
options = {onKeyPress: function(val, e, field, options) {
		field.mask(maskBehavior.apply({}, arguments), options);
	}
};
<?php  

switch ($sistema->indicacoes->mascara_dinheiro) {
	case 'brasil':
		$mascara = "$('.telefone').mask(maskBehavior, options);";
		break;

	case 'eua':
		$mascara = "$('.telefone').mask('(000) 000-0000');";
		break;
	
	default:
		$mascara = "$('.telefone').mask(maskBehavior, options);";
		break;
}
echo $mascara;
?>


function valida_cpf(cpf){var numeros, digitos, soma, i, resultado, digitos_iguais;digitos_iguais = 1;cpf = cpf.replace('.', '');cpf = cpf.replace('.', '');cpf = cpf.replace('-', '');if (cpf.length < 11)return false;for (i = 0; i < cpf.length - 1; i++)if (cpf.charAt(i) != cpf.charAt(i + 1)){digitos_iguais = 0;break;}if (!digitos_iguais){numeros = cpf.substring(0,9);digitos = cpf.substring(9);soma = 0;for (i = 10; i > 1; i--)soma += numeros.charAt(10 - i) * i;resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;if (resultado != digitos.charAt(0))return false;numeros = cpf.substring(0,10);soma = 0;for (i = 11; i > 1; i--)soma += numeros.charAt(11 - i) * i;resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;if (resultado != digitos.charAt(1))return false;return true;}else return false;}

<?php if ($sistema->indicacoes->permissao_cnpj_indicador == "1") {?>
function valida_cnpj(a){if(a=a.replace(/[^\d]+/g,""),""==a)return!1;if(14!=a.length)return!1;if("00000000000000"==a||"11111111111111"==a||"22222222222222"==a||"33333333333333"==a||"44444444444444"==a||"55555555555555"==a||"66666666666666"==a||"77777777777777"==a||"88888888888888"==a||"99999999999999"==a)return!1;for(tamanho=a.length-2,numeros=a.substring(0,tamanho),digitos=a.substring(tamanho),soma=0,pos=tamanho-7,i=tamanho;i>=1;i--)soma+=numeros.charAt(tamanho-i)*pos--,pos<2&&(pos=9);if(resultado=soma%11<2?0:11-soma%11,resultado!=digitos.charAt(0))return!1;for(tamanho+=1,numeros=a.substring(0,tamanho),soma=0,pos=tamanho-7,i=tamanho;i>=1;i--)soma+=numeros.charAt(tamanho-i)*pos--,pos<2&&(pos=9);return resultado=soma%11<2?0:11-soma%11,resultado==digitos.charAt(1)}
<?php } ?>

function validarFormCadIndicador(){
	var nome     = $('#nome').val();
	var email    = $('#email').val().toLowerCase().trim();
	var email2    = $('#email2').val().toLowerCase().trim();
	var telefone = $('#telefone').val();
	var cpf      = $('#usuario').val().replace(/[^\d]+/g,"");
	var pass1    = $('#senha1').val();
	var pass2    = $('#senha2').val();
	if (nome == "") {
		$('#nome').focus();
		toastr.clear(); toastr.error('O campo NOME está vazio!');
		return false;
	};
	if (email == "") {
		$('#email').focus();
		toastr.clear(); toastr.error('O campo EMAIL está vazio!');
		return false;
	};
	if (telefone == "") {
		$('#telefone').focus();
		toastr.clear(); toastr.error('O campo TELEFONE está vazio!');
		return false;
	};
	if (cpf == "") {
		$('#usuario').focus();
		toastr.clear(); toastr.error('<?php if($sistema->indicacoes->text_cpf_cnpj_alternativo){echo "O campo ".$sistema->indicacoes->text_cpf_cnpj_alternativo." está vazio!";}
																	else { echo "O campo CPF/CNPJ está vazio!"; }
																?>');
		return false;
	};

	if(cpf.length <= 11 & !valida_cpf(cpf)){
		toastr.clear(); toastr.error('<?php if($sistema->indicacoes->text_cpf_cnpj_alternativo){echo "O ".$sistema->indicacoes->text_cpf_cnpj_alternativo." informado é INVÁLIDO! Por favor, insira um ".$sistema->indicacoes->text_cpf_cnpj_alternativo." válido.";}
		else { echo "O CPF/CNPJ informado é INVÁLIDO! Por favor, insira um CPF/CNPJ válido."; }
	?>');
		return false;
	}

	<?php if ($sistema->indicacoes->permissao_cnpj_indicador == "1") {?>
	if(cpf.length > 11 & !valida_cnpj(cpf)){
		toastr.clear(); toastr.error('<?php if($sistema->indicacoes->text_cpf_cnpj_alternativo){echo "O ".$sistema->indicacoes->text_cpf_cnpj_alternativo." informado é INVÁLIDO! Por favor, insira um ".$sistema->indicacoes->text_cpf_cnpj_alternativo." válido.";}
		else { echo "O CPF/CNPJ informado é INVÁLIDO! Por favor, insira um CPF/CNPJ válido."; }
	?>');
		return false;
	}
	<?php }?>

	if (email != email2) {
		toastr.clear(); toastr.error('Os email digitados não são iguais.');
		return false;
	}

	if (pass1 != pass2 || pass1.length <= 7 || pass2.length <= 7 || pass1.length >= 65 || pass2.length >= 65) {
		toastr.clear(); toastr.error('A senhas não estão iguais ou entre 8 e 64 dígitos.');
		return false;
	}
	<?php if($sistema->indicacoes->ativar_termos == "1") { ?>
	if(!document.getElementById('aceitar-termos').checked){
		toastr.clear(); toastr.error('É necessário aceitar os Termos de Uso.');
		return false;
	}
	<?php } ?>

	return true;
}
function goBack() {
	window.history.back();
}
function mascaraMutuario(o,f){
	v_obj=o
	v_fun=f
	setTimeout('execmascara()',1)
}

function execmascara(){
	v_obj.value=v_fun(v_obj.value)
}

function cpfCnpj(v){

	v=v.replace(/\D/g,"")
	<?php if ($sistema->indicacoes->permissao_cnpj_indicador == "1") {?>
	if (v.length <= 11) {
		v=v.replace(/(\d{3})(\d)/,"$1.$2")
		v=v.replace(/(\d{3})(\d)/,"$1.$2")
		v=v.replace(/(\d{3})(\d{1,2})$/,"$1-$2")

	} else {
		v= v.length>14?v.substring(0,14):v;
		v=v.replace(/^(\d{2})(\d)/,"$1.$2")
		v=v.replace(/^(\d{2})\.(\d{3})(\d)/,"$1.$2.$3")
		v=v.replace(/\.(\d{3})(\d)/,".$1/$2")
		v=v.replace(/(\d{4})(\d)/,"$1-$2")

	}
	<?php } else {?>
	v= v.length>11?v.substring(0,11):v;
	v=v.replace(/(\d{3})(\d)/,"$1.$2")
	v=v.replace(/(\d{3})(\d)/,"$1.$2")
	v=v.replace(/(\d{3})(\d{1,2})$/,"$1-$2")
	<?php }?>
	return v
}
var email_input = document.getElementById('email2'); email_input.onpaste = function(e) { e.preventDefault(); }